## org.eclipse.emf.ecoretools.diagram.navigator
Class EcoreAbstractNavigatorItem

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.emf.ecoretools.diagram.navigator.EcoreAbstractNavigatorItem

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  EcoreNavigatorGroup, EcoreNavigatorItem

    public abstract class EcoreAbstractNavigatorItem

extends org.eclipse.core.runtime.PlatformObject

Constructor Summary
`protected` `EcoreAbstractNavigatorItem(java.lang.Object parent)`

Method Summary
`java.lang.Object` `getParent()`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreAbstractNavigatorItem

    protected EcoreAbstractNavigatorItem(java.lang.Object parent)

Method Detail

### getParent

    public java.lang.Object getParent()

Copyright 2007 Anyware Technologies. All Rights Reserved.